Bug 19497 - Translatability: Get rid of "Edit [% field.name |html %] field"
Summary: Translatability: Get rid of "Edit [% field.name |html %] field"
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Hayley Mapley
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-20 07:54 UTC by Marc Véron
Modified: 2019-10-14 20:02 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 19479: Display price in basket group formatted according to CurrencyFormat syspref using templates. (4.64 KB, patch)
2018-04-16 22:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19497: Removed title (tooltip) from Edit button in items_search_fields.tt (2.15 KB, patch)
2019-03-14 04:24 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 19497: Removed title (tooltip) from Edit button in items_search_fields.tt (2.20 KB, patch)
2019-04-06 21:35 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 19497: Removed title (tooltip) from Edit button in items_search_fields.tt (2.26 KB, patch)
2019-04-08 12:21 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2017-10-20 07:54:07 UTC
"Edit [% field.name |html %] field" shows up in translations for items-search_fields.tt Line 80
Comment 1 Katrin Fischer 2018-04-16 22:20:54 UTC
Created attachment 74283 [details] [review]
Bug 19479: Display price in basket group formatted according to CurrencyFormat syspref using templates.

On the page acqui/basketgroup.pl the prices of baskets should be shown
formatted according to the selected CurrencyFormat syspref, with no
currency symbol or code.

Test plan:

1) Create a basket with items in it worth more than 1000 currency units.
2) Close the basket.
3) Go to acqui/basketgroup.pl page and check that the price format matches
   the current CurrencyFormat syspref.
4) Go to Administration and change CurrencyFormat syspref to one of the
   other available options and recheck step 3.

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Fixed some tabs.
Comment 2 Katrin Fischer 2018-04-16 22:21:30 UTC
Comment on attachment 74283 [details] [review]
Bug 19479: Display price in basket group formatted according to CurrencyFormat syspref using templates.

Wrong bug number, sorry!
Comment 3 Hayley Mapley 2019-03-14 04:24:21 UTC
Created attachment 86593 [details] [review]
Bug 19497: Removed title (tooltip) from Edit button in items_search_fields.tt

This patch removes the tooltip that appears when hovering over the Edit button
of Item Search Fields in the staff client. This was done for consistency reasons,
including that this tooltip is not translated and tooltips do not appear to be
on the majority of buttons in the staff client.

Test plan:
1) In Home->Administration->Item search fields create a new search field
if you haven't got any already
2) Observe the tooltip that appears when hovering over the Edit button in
the Item serach fields table.
3) Apply the patch and observe that the tool tip no longer appears.

Sponsored-by: Catalyst IT
Comment 4 Michal Denar 2019-04-06 21:35:01 UTC
Created attachment 87481 [details] [review]
Bug 19497: Removed title (tooltip) from Edit button in items_search_fields.tt

This patch removes the tooltip that appears when hovering over the Edit button
of Item Search Fields in the staff client. This was done for consistency reasons,
including that this tooltip is not translated and tooltips do not appear to be
on the majority of buttons in the staff client.

Test plan:
1) In Home->Administration->Item search fields create a new search field
if you haven't got any already
2) Observe the tooltip that appears when hovering over the Edit button in
the Item serach fields table.
3) Apply the patch and observe that the tool tip no longer appears.

Sponsored-by: Catalyst IT

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 5 Martin Renvoize 2019-04-08 12:21:40 UTC
Created attachment 87510 [details] [review]
Bug 19497: Removed title (tooltip) from Edit button in items_search_fields.tt

This patch removes the tooltip that appears when hovering over the Edit button
of Item Search Fields in the staff client. This was done for consistency reasons,
including that this tooltip is not translated and tooltips do not appear to be
on the majority of buttons in the staff client.

Test plan:
1) In Home->Administration->Item search fields create a new search field
if you haven't got any already
2) Observe the tooltip that appears when hovering over the Edit button in
the Item serach fields table.
3) Apply the patch and observe that the tool tip no longer appears.

Sponsored-by: Catalyst IT

Signed-off-by: Michal Denar <black23@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2019-04-08 12:21:57 UTC
Nice simple fix.. Passing QA
Comment 7 Nick Clemens 2019-04-11 13:53:54 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-04-16 13:08:10 UTC
Pushed to 18.11.x for 18.11.05
Comment 9 Lucas Gass 2019-04-22 14:56:39 UTC
backported to 18.05.x for 18.05.12
Comment 10 Fridolin SOMERS 2019-04-30 06:06:03 UTC
Pushed to 17.11.x for 17.11.18